--- old/usr/src/cmd/make/bin/ar.cc	2015-05-20 11:27:31.815192471 -0400
+++ new/usr/src/cmd/make/bin/ar.cc	2015-05-20 11:27:31.826907160 -0400
@@ -54,11 +54,7 @@
 	off_t	ran_off;		/* library member at this offset */
 };
 
-#if defined(linux)
-#include <ctype.h>		/* isspace */
-#else
 #include <unistd.h>		/* close() */
-#endif
 
 
 /*
--- old/usr/src/cmd/make/bin/dist.cc	2015-05-20 11:27:32.565728239 -0400
+++ new/usr/src/cmd/make/bin/dist.cc	2015-05-20 11:27:32.577799259 -0400
@@ -42,12 +42,7 @@
 #include <rw/queuecol.h>
 #include <rw/xdrstrea.h>
 #include <signal.h>
-#ifdef linux
-#include <sstream>
-using namespace std;
-#else
 #include <strstream.h>
-#endif
 #include <sys/stat.h>		/* stat() */
 #include <sys/types.h>
 #include <sys/wait.h>
@@ -264,11 +259,7 @@
 		(void) sprintf(&rxm_command[strlen(rxm_command)],
 		               NOCATGETS(" %d %d"),
 		               pipe1[0], pipe2[1]);
-#ifdef linux
-		execl(NOCATGETS("/bin/sh"),
-#else
 		execl(NOCATGETS("/usr/bin/sh"),
-#endif
 		      NOCATGETS("sh"),
 		      NOCATGETS("-c"),
 		      rxm_command,
--- old/usr/src/cmd/make/bin/doname.cc	2015-05-20 11:27:33.206183970 -0400
+++ new/usr/src/cmd/make/bin/doname.cc	2015-05-20 11:27:33.219014511 -0400
@@ -61,9 +61,7 @@
 
 #include <signal.h>
 
-#ifndef HP_UX
 #	include <stropts.h>
-#endif
 
 #include <sys/errno.h>
 #include <sys/stat.h>
@@ -3559,11 +3557,7 @@
 		break;
 	case 0:
 		enable_interrupt((void (*) (int))SIG_DFL);
-#ifdef linux
-		(void) signal(SIGUSR1, Avo_PollResultsAction_Sigusr1Handler);
-#else
 		(void) sigset(SIGUSR1, Avo_PollResultsAction_Sigusr1Handler);
-#endif
 		pollResultsAction(outFn, errFn);
 
 		exit(0);
@@ -3617,13 +3611,6 @@
 	}
 
 	while (!pollResultsActionTimeToFinish && stat(outFn, &statbuf) == 0) {
-#ifdef linux
-		if ((statbuf.st_mtime > file_time)
-		   ) {
-			file_time = statbuf.st_mtime;
-			rxmGetNextResultsBlock(fd);
-		}
-#else
 		if ((statbuf.st_mtim.tv_sec > file_time) ||
 		    ((statbuf.st_mtim.tv_sec == file_time) &&
 		    (statbuf.st_mtim.tv_nsec > file_time_nsec))
@@ -3632,7 +3619,6 @@
 			file_time_nsec = statbuf.st_mtim.tv_nsec;
 			rxmGetNextResultsBlock(fd);
 		}
-#endif
 		us_sleep(STAT_RETRY_SLEEP_TIME);
 	}
 	// Check for the rest of output
--- old/usr/src/cmd/make/bin/files.cc	2015-05-20 11:27:33.911718026 -0400
+++ new/usr/src/cmd/make/bin/files.cc	2015-05-20 11:27:33.923435204 -0400
@@ -148,12 +148,7 @@
 			/* target->stat.time = buf.st_mtime; */
 /* BID_1129806 */
 /* vis@nbsp.nsk.su */
-#if defined(linux)
-			timestruc_t ttime = { buf.st_mtime, 0 };
-			target->stat.time = MAX(ttime, file_min_time);
-#else
 			target->stat.time = MAX(buf.st_mtim, file_min_time);
-#endif
 		}
 	}
 	if ((target->colon_splits > 0) &&
@@ -190,12 +185,7 @@
 		/* target->stat.time = buf.st_mtime; */
 /* BID_1129806 */
 /* vis@nbsp.nsk.su */
-#if defined(linux)
-		timestruc_t ttime = { buf.st_mtime, 0 };
-		target->stat.time = ttime;
-#else
 		target->stat.time = MAX(buf.st_mtim, file_min_time);
-#endif
 	}
 }
 
--- old/usr/src/cmd/make/bin/globals.cc	2015-05-20 11:27:34.359201692 -0400
+++ new/usr/src/cmd/make/bin/globals.cc	2015-05-20 11:27:34.370880357 -0400
@@ -95,9 +95,6 @@
 	Name		dot_keep_state;
 	Name		dot_keep_state_file;
 	Name		empty_name;
-#if defined(HP_UX) ||  defined(linux)
-	int		exit_status;
-#endif
 	Boolean		fatal_in_progress;
 	int		file_number;
 #if 0
--- old/usr/src/cmd/make/bin/main.cc	2015-05-20 11:27:34.771294192 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-05-20 11:27:34.783619873 -0400
@@ -102,9 +102,6 @@
 #endif /* MAXJOBS_ADJUST_RFE4694000 */
 #endif /* TEAMWARE_MAKE_CMN */
 
-#if defined(linux)
-#include <ctype.h>
-#endif
 
 /*
  * Defined macros
@@ -201,9 +198,7 @@
 #endif
 
 jmp_buf jmpbuffer;
-#if !defined(linux)
 extern nl_catd catd;
-#endif
 
 /*
  *	main(argc, argv)
@@ -263,16 +258,6 @@
 
 	(void) setlocale(LC_ALL, "");
 
-#if defined (HP_UX) || defined(linux)
-       /* HP-UX users typically will not have NLSPATH set, and this binary
-        * requires that it be set.  On HP-UX 9.0x, /usr/lib/nls/%L/%N.cat is
-        * the path to set it to.
-        */
-
-       if (getenv(NOCATGETS("NLSPATH")) == NULL) {
-         putenv(NOCATGETS("NLSPATH=/usr/lib/nls/%L/%N.cat"));
-	}
-#endif
 
 #ifdef DMAKE_STATISTICS
 	if (getenv(NOCATGETS("DMAKE_STATISTICS"))) {
@@ -415,12 +400,10 @@
 			posix = false;
 		}
 	}
-#if !defined(HP_UX) && !defined(linux)
 	if (getenv(USE_SVR4_MAKE) || getenv(NOCATGETS("USE_SVID"))){
 	   svr4 = true;
 	   posix = false;
 	}
-#endif
 
 	/*
 	 * Find the dmake_compat_mode: posix, sun, svr4, or gnu_style, .
@@ -1375,19 +1358,6 @@
 			}
 		}
 
-#if defined(linux)
-		if (ch == 1) {
-			if(optind < argc) {
-				//optind++;
-				//current_optind++;
-			makefile_next = 0;
-			current_optind = optind;
-				continue;
-			} else {
-				break;
-			}
-		}
-#endif
 
 
 		makefile_next |= parse_command_option(ch);
@@ -1727,9 +1697,6 @@
 		if (invert_this) {
 			debug_level--;
 		} else {
-#if defined( HP_UX) || defined(linux)
-		      if (debug_level < 2)  /* Fixes a bug on HP-UX */
-#endif
 			debug_level++;
 		}
 		return 0;
--- old/usr/src/cmd/make/bin/misc.cc	2015-05-20 11:27:35.474348796 -0400
+++ new/usr/src/cmd/make/bin/misc.cc	2015-05-20 11:27:35.486003912 -0400
@@ -46,9 +46,6 @@
 #include <stdarg.h>		/* va_list, va_start(), va_end() */
 #include <vroot/report.h>	/* SUNPRO_DEPENDENCIES */
 
-#if defined(HP_UX) || defined(linux)
-#include <unistd.h>
-#endif
 
 #ifdef TEAMWARE_MAKE_CMN
 #define MAXJOBS_ADJUST_RFE4694000
@@ -58,9 +55,6 @@
 #endif /* MAXJOBS_ADJUST_RFE4694000 */
 #endif /* TEAMWARE_MAKE_CMN */
 
-#if defined(linux)
-#include <time.h>		/* localtime() */
-#endif
 
 /*
  * Defined macros
@@ -723,15 +717,11 @@
 	dollar->dollar = false;
 
 	/* Set the value of $(SHELL) */
-	#ifdef HP_UX
-	MBSTOWCS(wcs_buffer, NOCATGETS("/bin/posix/sh"));
-	#else
 	if (posix) {
 	  MBSTOWCS(wcs_buffer, NOCATGETS("/usr/xpg4/bin/sh"));
 	} else {
 	  MBSTOWCS(wcs_buffer, NOCATGETS("/bin/sh"));
 	}
-	#endif
 	(void) SETVAR(shell_name, GETNAME(wcs_buffer, FIND_LENGTH), false);
 
 	/*
--- old/usr/src/cmd/make/bin/parallel.cc	2015-05-20 11:27:35.940734469 -0400
+++ new/usr/src/cmd/make/bin/parallel.cc	2015-05-20 11:27:35.952856346 -0400
@@ -442,11 +442,7 @@
 #include <sys/ipc.h>		/* ftok() */
 #include <sys/shm.h>		/* shmget(), shmat(), shmdt(), shmctl() */
 #include <semaphore.h>		/* sem_init(), sem_trywait(), sem_post(), sem_destroy() */
-#if defined(linux)
-#define	LOADAVG_1MIN	0
-#else
 #include <sys/loadavg.h>	/* getloadavg() */
-#endif /* linux */
 
 /*
  *	adjust_pmake_max_jobs (int pmake_max_jobs)
@@ -2174,11 +2170,6 @@
 				if (!do_not_exec_rule ||
 				    !working_on_targets ||
 				    always_exec) {
-#if defined(linux)
-					if (0 != strcmp(shell->string_mb, (char*)NOCATGETS("/bin/sh"))) {
-						DO_CHECK(fprintf(scrfp, NOCATGETS("%s -c %s\n"), shell->string_mb, cmd));
-					} else
-#endif
 					DO_CHECK(fprintf(scrfp, NOCATGETS("%s -ce %s\n"), shell->string_mb, cmd));
 					DO_CHECK(fputs(NOCATGETS("__DMAKECMDEXITSTAT=$?\nif [ ${__DMAKECMDEXITSTAT} -ne 0 ]; then\n"), scrfp));
 					if (ignore) {
--- old/usr/src/cmd/make/bin/pmake.cc	2015-05-20 11:27:37.081600614 -0400
+++ new/usr/src/cmd/make/bin/pmake.cc	2015-05-20 11:27:37.093658368 -0400
@@ -38,9 +38,6 @@
 #include <sys/types.h>
 #include <sys/utsname.h>
 #include <rpc/rpc.h>		/* host2netname(), netname2host() */
-#ifdef linux
-#	include <unistd.h>	/* getdomainname() */
-#endif
 
 /*
  * Defined macros
@@ -198,13 +195,8 @@
 	// There is no getdomainname() function on Solaris.
 	// And netname2host() function does not work on Linux.
 	// So we have to use different APIs.
-#ifdef linux
-	if (getdomainname(mbs_buffer, MAXNETNAMELEN+1) == 0) {
-		sprintf(mbs_buffer2, "%s.%s", local_host_mb, mbs_buffer);
-#else
 	if (host2netname(mbs_buffer, NULL, NULL) &&
 	    netname2host(mbs_buffer, mbs_buffer2, MAXNETNAMELEN+1)) {
-#endif
 		MBSTOWCS(full_host, mbs_buffer2);
 		full_host_wslen = wslen(full_host);
 	}
--- old/usr/src/cmd/make/bin/read.cc	2015-05-20 11:27:37.509300603 -0400
+++ new/usr/src/cmd/make/bin/read.cc	2015-05-20 11:27:37.521876032 -0400
@@ -42,10 +42,6 @@
 #include <sys/uio.h>		/* read() */
 #include <unistd.h>		/* read(), unlink() */
 
-#if defined(HP_UX) || defined(linux)
-#include <avo/types.h>
-extern "C" Avo_err *avo_find_run_dir(char **dirp);
-#endif
 
 /*
  * typedefs & structs
@@ -117,10 +113,6 @@
 	register wchar_t        *string_end;
 
 
-#if defined(HP_UX) || defined(linux)
-	Avo_err                 *findrundir_err;
-	char                    *run_dir, makerules_dir[BUFSIZ];
-#endif
 
 	wchar_t * wcb = get_wstring(makefile_name->string_mb);
 
--- old/usr/src/cmd/make/include/avo/intl.h	2015-05-20 11:27:38.119490530 -0400
+++ new/usr/src/cmd/make/include/avo/intl.h	2015-05-20 11:27:38.131300502 -0400
@@ -26,28 +26,12 @@
 #ifndef _AVO_INTL_H
 #define _AVO_INTL_H
 
-#if defined(SUN4_x) || defined(HP_UX)
-#include <avo/widefake.h>
-#endif
 
 /*
  * For catgets
  */
 #include <nl_types.h>
 
-#ifdef HP_UX
-#ifdef __cplusplus
-#ifndef _STDLIB_INCLUDED
-#include <stdlib.h>             /* for wchar_t definition and HP-UX - */
-#endif                          /* wide character function prototypes. */
-extern "C" {
-char *gettext(char *msg);
-char *dgettext(const char *, const char *);
-char *bindtextdomain(const char *, const char *);
-char *textdomain(char *);
-}
-#endif /* __cplusplus */
-#endif
 
 /*
  * NOCATGETS is a dummy macro that returns it argument.
--- old/usr/src/cmd/make/include/bsd/bsd.h	2015-05-20 11:27:38.536853166 -0400
+++ new/usr/src/cmd/make/include/bsd/bsd.h	2015-05-20 11:27:38.548547739 -0400
@@ -32,11 +32,6 @@
 
 #include <signal.h>
 
-#if defined (HP_UX) || defined (linux)
-typedef void SIG_FUNC_TYP(int);
-typedef SIG_FUNC_TYP *SIG_TYP;
-#define SIG_PF SIG_TYP
-#endif
 
 #ifndef __cplusplus
 typedef void (*SIG_PF) (int);
--- old/usr/src/cmd/make/include/mk/defs.h	2015-05-20 11:27:38.946069691 -0400
+++ new/usr/src/cmd/make/include/mk/defs.h	2015-05-20 11:27:38.975618071 -0400
@@ -325,10 +325,8 @@
 /*
  * Declarations of system defined variables
  */
-#if !defined(linux)
 /* On linux this variable is defined in 'signal.h' */
 extern	char		*sys_siglist[];
-#endif
 
 /*
  * Declarations of system supplied functions
@@ -406,7 +404,6 @@
 extern	XDR		*get_xdrs_ptr(void);
 #endif
 extern	wchar_t		*getmem_wc(register int size);
-#if !defined(linux)
 /* On linux getwd(char *) is defined in 'unistd.h' */
 #ifdef __cplusplus
 extern "C" {
@@ -415,7 +412,6 @@
 #ifdef __cplusplus
 }
 #endif
-#endif
 extern	void		handle_interrupt(int);
 extern	Boolean		is_running(Name target);
 extern	void		load_cached_names(void);
--- old/usr/src/cmd/make/include/mksh/defs.h	2015-05-20 11:27:39.468934735 -0400
+++ new/usr/src/cmd/make/include/mksh/defs.h	2015-05-20 11:27:39.480760809 -0400
@@ -43,30 +43,9 @@
 #include <sys/time.h>		/* timestruc_t */
 #include <errno.h>		/* errno */
 
-#if defined (HP_UX) || defined (linux)
-#define  MAXNAMELEN           256
-#define  RW_NO_OVERLOAD_WCHAR 1  /* Rogue Wave, belongs in <rw/compiler.h> */
-#else
 #include <wctype.h>
 #include <widec.h>
-#endif
 
-#if defined (linux)
-/*
- * Definition of wchar functions.
- */
-#	include <wctype.h>
-#	include <wchar.h>
-#	define wsdup(x) wcsdup(x)
-#	define wschr(x,y) wcschr(x,y)
-#	define wscat(x,y) wcscat(x,y)
-#	define wsrchr(x,y) wcsrchr(x,y)
-#	define wslen(x) wcslen(x)
-#	define wscpy(x,y) wcscpy(x,y)
-#	define wsncpy(x,y,z) wcsncpy(x,y,z)
-#	define wscmp(x,y) wcscmp(x,y)
-#	define wsncmp(x,y,z) wcsncmp(x,y,z)
-#endif
 
 /*
  * A type and some utilities for boolean values
@@ -88,12 +67,7 @@
  */
 enum {
 	update_delay = 30,		/* time between rstat checks */
-#ifdef sun386
-	ar_member_name_len = 14,
-#else
 	ar_member_name_len = 1024,
-#endif
-
 	hashsize = 2048			/* size of hash table */
 };
 
@@ -394,9 +368,6 @@
  * Magic values for the timestamp stored with each name object
  */
 
-#if defined (linux)
-typedef struct timespec timestruc_t;
-#endif
 
 extern const timestruc_t file_no_time;
 extern const timestruc_t file_doesnt_exist;
@@ -461,11 +432,7 @@
 	* is translated into a string iff it is referenced.
 	* This is why  some macro values need a daemon. 
 	*/
-#if defined(HP_UX) || defined(linux)
-	Daemon			daemon;
-#else
 	Daemon			daemon:2;
-#endif
 };
 
 struct _Macro_list {
@@ -491,13 +458,6 @@
 		int			stat_errno;	/* error from "stat" */
 		off_t			size;		/* Of file */
 		mode_t			mode;		/* Of file */
-#if defined(HP_UX) || defined(linux)
-		Boolean			is_file;
-		Boolean			is_dir;
-		Boolean			is_sym_link;
-		Boolean			is_precious;
-		enum sccs_stat		has_sccs;
-#else
 		Boolean			is_file:1;
 		Boolean			is_dir:1;
 		Boolean			is_sym_link:1;
@@ -506,7 +466,6 @@
                 Boolean                 is_derived_src:1;
 #endif
 		enum sccs_stat		has_sccs:2;
-#endif
 	}                       stat;
 	/*
 	 * Count instances of :: definitions for this target
@@ -542,15 +501,9 @@
 	/*
 	 * This name is a magic name that the reader must know about
 	 */
-#if defined(HP_UX) || defined(linux)
-	Special			special_reader;
-	Doname			state;
-	Separator		colons;
-#else
 	Special			special_reader:5;
 	Doname			state:3;
 	Separator		colons:3;
-#endif
 	Boolean			has_depe_list_expanded:1;
 	Boolean			suffix_scan_done:1;
 	Boolean			has_complained:1;	/* For sccs */
@@ -765,11 +718,7 @@
 #define PROPERTY_HEAD_SIZE (sizeof (struct _Property)-sizeof (union Body))
 struct _Property {
 	struct _Property	*next;
-#if defined(HP_UX) || defined(linux)
-	Property_id		type;
-#else
 	Property_id		type:4;
-#endif
 	union Body		body;
 };
 
--- old/usr/src/cmd/make/lib/mksh/dosys.cc	2015-05-20 11:27:39.966912141 -0400
+++ new/usr/src/cmd/make/lib/mksh/dosys.cc	2015-05-20 11:27:39.978670532 -0400
@@ -57,16 +57,7 @@
 #include <ulimit.h>		/* ulimit() */
 #include <unistd.h>		/* close(), dup2() */
 
-#if defined (HP_UX) || defined (linux)
-#	include <sys/param.h>
-#	include <wctype.h>
-#	include <wchar.h>
-#endif
 
-#if defined (linux)
-#	define wslen(x) wcslen(x)
-#	define wscpy(x,y) wcscpy(x,y)
-#endif
 
 /*
  * Defined macros
@@ -101,19 +92,7 @@
 int
 my_open(const char *path, int oflag, mode_t mode) {
 	int res = open(path, oflag, mode);
-#ifdef linux
-// Workaround for NFS problem: even when all directories in 'path'
-// exist, 'open' (file creation) fails with ENOENT.
-	int nattempt = 0;
-	while (res < 0 && (errno == ESTALE || errno == EAGAIN || errno == ENOENT)) {
-		nattempt++;
-		if(nattempt > 30) {
-			break;
-		}
-		sleep(1);
-#else
 	if (res < 0 && (errno == ESTALE || errno == EAGAIN)) {
-#endif
 		/* Stale NFS file handle. Try again */
 		res = open(path, oflag, mode);
 	}
@@ -132,17 +111,9 @@
 	long		descriptor_limit;
 	int		i;
 
-#if defined (HP_UX) || defined (linux)
-        /*
-         *  HP-UX does not support the UL_GDESLIM command for ulimit().
-	 *  NOFILE == max num open files per process (from <sys/param.h>)
-         */
-	descriptor_limit = NOFILE;
-#else
 	if ((descriptor_limit = ulimit(UL_GDESLIM)) < 0) {
 		fatal_mksh(catgets(libmksdmsi18n_catd, 1, 89, "ulimit() failed: %s"), errmsg(errno));
 	}
-#endif
 	for (i = 3; i < descriptor_limit; i++) {
 		(void) close(i);
 	}
@@ -344,15 +315,7 @@
 		argv[argv_index++] = strdup(nice_prio_buf);
 	}
 	argv[argv_index++] = shellname;
-#if defined(linux)
-	if(0 == strcmp(shell->string_mb, (char*)NOCATGETS("/bin/sh"))) {
-		argv[argv_index++] = (char*)(ignore_error ? NOCATGETS("-c") : NOCATGETS("-ce"));
-	} else {
-		argv[argv_index++] = (char*)NOCATGETS("-c");
-	}
-#else
 	argv[argv_index++] = (char*)(ignore_error ? NOCATGETS("-c") : NOCATGETS("-ce"));
-#endif
 	if ((length = wslen(command)) >= MAXPATHLEN) {
 		tmp_mbs_buffer = getmem((length * MB_LEN_MAX) + 1);
                 (void) wcstombs(tmp_mbs_buffer, command, (length * MB_LEN_MAX) + 1);
@@ -362,15 +325,6 @@
 	} else {
 		WCSTOMBS(mbs_buffer, command);
 		cmd_argv_index = argv_index;
-#if defined(linux)
-		int mbl = strlen(mbs_buffer);
-		if(mbl > 2) {
-			if(mbs_buffer[mbl-1] == '\n' && mbs_buffer[mbl-2] == '\\') {
-				mbs_buffer[mbl] = '\n';
-				mbs_buffer[mbl+1] = 0;
-			}
-		}
-#endif
 		argv[argv_index++] = strdup(mbs_buffer);
 	}
 	argv[argv_index] = NULL;
--- old/usr/src/cmd/make/lib/mksh/i18n.cc	2015-05-20 11:27:40.423538684 -0400
+++ new/usr/src/cmd/make/lib/mksh/i18n.cc	2015-05-20 11:27:40.435352889 -0400
@@ -35,11 +35,6 @@
  */
 #include <mksh/i18n.h>
 #include <mksh/misc.h>		/* setup_char_semantics() */
-#if defined (linux)
-#	include <wctype.h>
-#	include <wchar.h>
-#	define wschr(x,y) wcschr(x,y)
-#endif
 
 /*
  *	get_char_semantics_value(ch)
--- old/usr/src/cmd/make/lib/mksh/macro.cc	2015-05-20 11:27:40.829268574 -0400
+++ new/usr/src/cmd/make/lib/mksh/macro.cc	2015-05-20 11:27:40.841336507 -0400
@@ -924,11 +924,7 @@
 #ifdef NSE
 	Property	macro;
 #endif
-#if defined(linux)
-	const char	*mach_command = NOCATGETS("/bin/uname -p");
-#else
 	const char	*mach_command = NOCATGETS("/bin/mach");
-#endif
 
 	set_host = (get_prop(host_arch->prop, macro_prop) == NULL);
 	set_target = (get_prop(target_arch->prop, macro_prop) == NULL);
@@ -1379,22 +1375,11 @@
 			new_value = ALLOC_WC(length);
 			new_value_allocated = true;
 			WCSTOMBS(mbs_buffer, old_vr);
-#if !defined(linux)
 			(void) wsprintf(new_value,
 				        NOCATGETS("/usr/arch/%s/%s:%s"),
 				        ha->string_mb + 1,
 				        ta->string_mb + 1,
 				        mbs_buffer);
-#else
-			char * mbs_new_value = (char *)getmem(length);
-			(void) sprintf(mbs_new_value,
-				        NOCATGETS("/usr/arch/%s/%s:%s"),
-				        ha->string_mb + 1,
-				        ta->string_mb + 1,
-				        mbs_buffer);
-			MBSTOWCS(new_value, mbs_new_value);
-			retmem_mb(mbs_new_value);
-#endif
 		}
 		if (new_value[0] != 0) {
 			(void) setvar_daemon(virtual_root,
--- old/usr/src/cmd/make/lib/mksh/misc.cc	2015-05-20 11:27:41.329258052 -0400
+++ new/usr/src/cmd/make/lib/mksh/misc.cc	2015-05-20 11:27:41.341092589 -0400
@@ -51,9 +51,6 @@
 
 #include <string.h>		/* strerror() */
 
-#if defined (HP_UX) || defined (linux)
-#include <unistd.h>
-#endif
 
 /*
  * Defined macros
@@ -349,14 +346,8 @@
 char *
 errmsg(int errnum)
 {
-#ifdef linux
-	return strerror(errnum);
-#else // linux
 
 	extern int		sys_nerr;
-#ifdef SUN4_x
-	extern char		*sys_errlist[];
-#endif
 	char			*errbuf;
 
 	if ((errnum < 0) || (errnum > sys_nerr)) {
@@ -364,13 +355,9 @@
 		(void) sprintf(errbuf, catgets(libmksdmsi18n_catd, 1, 127, "Error %d"), errnum);
 		return errbuf;
 	} else {
-#ifdef SUN4_x
-		return(sys_errlist[errnum]);
-#endif
 		return strerror(errnum);
 
 	}
-#endif // linux
 }
 
 static char static_buf[MAXPATHLEN*3];
--- old/usr/src/cmd/make/lib/mksh/mksh.cc	2015-05-20 11:27:41.945503399 -0400
+++ new/usr/src/cmd/make/lib/mksh/mksh.cc	2015-05-20 11:27:41.957436855 -0400
@@ -44,9 +44,6 @@
 #include <errno.h>
 #include <signal.h>
 
-#ifdef HP_UX
-	extern void (*sigset(int, void (*)(__harg)))(__harg);
-#endif
 
 /*
  * Workaround for NFS bug. Sometimes, when running 'chdir' on a remote
--- old/usr/src/cmd/make/lib/vroot/lock.cc	2015-05-20 11:27:42.362990116 -0400
+++ new/usr/src/cmd/make/lib/vroot/lock.cc	2015-05-20 11:27:42.374825110 -0400
@@ -37,10 +37,8 @@
 #include <signal.h>
 #include <errno.h>			/* errno */
 
-#if !defined(linux)
 extern	char		*sys_errlist[];
 extern	int		sys_nerr;
-#endif
 
 static	void		file_lock_error(char *msg, char *file, char *str, int arg1, int arg2);
 
@@ -168,18 +166,11 @@
 	len = strlen(msg);
 	sprintf(&msg[len], str, arg1, arg2);
 	strcat(msg, catgets(libmksdmsi18n_catd, 1, 146, " failed - "));
-#if !defined(linux)
 	if (errno < sys_nerr) {
-#ifdef SUN4_x
-		strcat(msg, sys_errlist[errno]);
-#endif
 		strcat(msg, strerror(errno));
 	} else {
 		len = strlen(msg);
 		sprintf(&msg[len], NOCATGETS("errno %d"), errno);
 	}
-#else
-	strcat(msg, strerror(errno));
-#endif
 }
 
--- old/usr/src/cmd/make/lib/vroot/mount.cc	2015-05-20 11:27:42.772368469 -0400
+++ new/usr/src/cmd/make/lib/vroot/mount.cc	2015-05-20 11:27:42.784161443 -0400
@@ -27,9 +27,7 @@
 #include <sys/types.h>
 #include <sys/mount.h>
 
-#ifndef HP_UX
 extern int mount(const char *spec, const char *dir, int mflag, ...);
-#endif
 
 #include <vroot/vroot.h>
 #include <vroot/args.h>
